Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 472966 - Kickstart Distributions: Create/Edit page needs refinement
Summary: Kickstart Distributions: Create/Edit page needs refinement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Mike McCune
URL:
Whiteboard:
Depends On:
Blocks: space04 swcobbler
TreeView+ depends on / blocked
 
Reported: 2008-11-25 20:41 UTC by Mike McCune
Modified: 2012-03-06 08:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 07:06:38 UTC


Attachments (Terms of Use)

Description Mike McCune 2008-11-25 20:41:17 UTC
With the addition of cobbler support the Kickstart Distributions page needs some help.

* The External Location (url)*: field no longer has to be an external location.  This can also be a local path on the spacewalk server:

/opt/repo/f9-i386/

Need to update the labels to explain this.

* When creating the Distribution we have error conditions from cobbler:

# Can't find the kernel errors - Need to provide nice UI message stating it cant find the kernel at the path specified

# Make sure the input for the location is trimmed for preceding and trailing spaces

Feel free to add more to this bug as we work through this page.

Comment 1 Partha Aji 2009-01-15 17:36:51 UTC
Text on this page needs to be worked on....
"The Kickstart RPM should be the name of the rpm containing the kickstart deploy scripts. These RPMs are provided by Spacewalk and located in the Spacewalk Tools child channels.
"
The need for KS rpm has been taken out now since all the auto kickstarts use spacewalk-koan...

Same with "The Tree Path, Kickstart RPM, Base Channel, and Installer Generation should always match. .....".. Remove the references to Kickstart RPM

Comment 2 Partha Aji 2009-01-15 17:40:12 UTC
Ok this is really broken ... 
* When creating the Distribution we have error conditions from cobbler:

# Can't find the kernel errors - Need to provide nice UI message stating it
cant find the kernel at the path specified


All cobblery error conditions like missing kernel path/ iso path are NOT checked.. And the page just says "Distro Created" instead of showing the error...

Comment 3 Partha Aji 2009-03-15 07:44:16 UTC
should be resolved in the next iso

Comment 4 Miroslav Suchý 2009-09-17 07:06:38 UTC
Spacewalk 0.4 has been released for some time.


Note You need to log in before you can comment on or make changes to this bug.